package com.example.application.data.service;

import com.example.application.data.entity.Game;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.vaadin.artur.helpers.CrudService;

@Service
public class GameService extends CrudService<Game, Integer> {

    private final GameRepository repository;

    public GameService(@Autowired GameRepository repository) {
        this.repository = repository;
    }

    @Override
    protected GameRepository getRepository() {
        return repository;
    }

}
