package com.example.application.data.service;

import com.example.application.data.entity.Player;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.vaadin.artur.helpers.CrudService;

@Service
public class PlayerService extends CrudService<Player, Integer> {

    private final PlayerRepository repository;

    public PlayerService(@Autowired PlayerRepository repository) {
        this.repository = repository;
    }

    @Override
    protected PlayerRepository getRepository() {
        return repository;
    }

}
