package com.example.application.data.service;

import com.example.application.data.entity.PlayerInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.vaadin.artur.helpers.CrudService;

@Service
public class PlayerInfoService extends CrudService<PlayerInfo, Integer> {

    private final PlayerInfoRepository repository;

    public PlayerInfoService(@Autowired PlayerInfoRepository repository) {
        this.repository = repository;
    }

    @Override
    protected PlayerInfoRepository getRepository() {
        return repository;
    }

}
